GlueGen: com.jogamp.gluegen.cgram.Define Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.gluegen.cgram.Define Class Reference

Represents a #define of a literal to a value (a number represented in string form.) More...

Inheritance diagram for com.jogamp.gluegen.cgram.Define:
Collaboration diagram for com.jogamp.gluegen.cgram.Define:

## Public Member Functions

| Define (final String name, final String value)
| Define (final String name, final String value, final ASTLocusTag astLocus)
String | getName ()
String | getValue ()
ASTLocusTag | getASTLocusTag ()
| Returns this instance's `ASTLocusTag`, if available, otherwise returns `null`. More...
ASTLocusTag | getASTLocusTag ()
| Returns this instance's `ASTLocusTag`, if available, otherwise returns `null`. More...

## Detailed Description

Represents a #define of a literal to a value (a number represented in string form.)

Definition at line 48 of file Define.java.

## Constructor & Destructor Documentation

## ◆ Define() [1/2]

com.jogamp.gluegen.cgram.Define.Define | ( | final String | name,
|  | final String | value
| ) |  |

Definition at line 53 of file Define.java.

## ◆ Define() [2/2]

com.jogamp.gluegen.cgram.Define.Define | ( | final String | name,
|  | final String | value,
|  | final ASTLocusTag | astLocus
| ) |  |

Definition at line 59 of file Define.java.

## Member Function Documentation

## ◆ getASTLocusTag()

ASTLocusTag com.jogamp.gluegen.cgram.Define.getASTLocusTag | ( |  | ) |

Returns this instance's `ASTLocusTag`, if available, otherwise returns `null`.

Implements com.jogamp.gluegen.ASTLocusTag.ASTLocusTagProvider.

Definition at line 69 of file Define.java.

Here is the caller graph for this function:

## ◆ getName()

String com.jogamp.gluegen.cgram.Define.getName | ( |  | ) |

Definition at line 65 of file Define.java.

Here is the caller graph for this function:

## ◆ getValue()

String com.jogamp.gluegen.cgram.Define.getValue | ( |  | ) |

Definition at line 66 of file Define.java.

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/cgram/Define.java